Open CASCADE Technology: BinTools_Curve2dSet Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
BinTools_Curve2dSet Class Reference

Stores a set of Curves from Geom2d in binary format. More...

`#include <BinTools_Curve2dSet.hxx>`

## Public Member Functions
| BinTools_Curve2dSet ()
| Returns an empty set of Curves. More...
void | Clear ()
| Clears the content of the set. More...
Standard_Integer | Add (const Handle< Geom2d_Curve > &C)
| Incorporate a new Curve in the set and returns its index. More...
Handle< Geom2d_Curve > | Curve2d (const Standard_Integer I) const
| Returns the Curve of index . More...
Standard_Integer | Index (const Handle< Geom2d_Curve > &C) const
| Returns the index of <L>. More...
void | Dump (Standard_OStream &OS) const
| Dumps the content of me on the stream <OS>. More...
void | Write (Standard_OStream &OS) const
| Writes the content of me on the stream <OS> in a format that can be read back by Read. More...
void | Read (Standard_IStream &IS)
| Reads the content of me from the stream <IS>. me is first cleared. More...

## Static Public Member Functions
static void | WriteCurve2d (const Handle< Geom2d_Curve > &C, Standard_OStream &OS)
| Dumps the curve on the binary stream, that can be read back. More...
static Standard_IStream & | ReadCurve2d (Standard_IStream &IS, Handle< Geom2d_Curve > &C)
| Reads the curve from the stream. The curve is assumed to have been written with the Write method. More...

## Detailed Description

Stores a set of Curves from Geom2d in binary format.

## Constructor & Destructor Documentation

BinTools_Curve2dSet::BinTools_Curve2dSet | ( |  | ) |

Returns an empty set of Curves.

## Member Function Documentation

Standard_Integer BinTools_Curve2dSet::Add | ( | const Handle< Geom2d_Curve > & | C | ) |

Incorporate a new Curve in the set and returns its index.

void BinTools_Curve2dSet::Clear | ( |  | ) |

Clears the content of the set.

Handle< Geom2d_Curve > BinTools_Curve2dSet::Curve2d | ( | const Standard_Integer | I | ) | const

Returns the Curve of index .

void BinTools_Curve2dSet::Dump | ( | Standard_OStream & | OS | ) | const

Dumps the content of me on the stream <OS>.

Standard_Integer BinTools_Curve2dSet::Index | ( | const Handle< Geom2d_Curve > & | C | ) | const

Returns the index of <L>.

void BinTools_Curve2dSet::Read | ( | Standard_IStream & | IS | ) |

Reads the content of me from the stream <IS>. me is first cleared.

static Standard_IStream& BinTools_Curve2dSet::ReadCurve2d | ( | Standard_IStream & | IS,
|  | Handle< Geom2d_Curve > & | C
| ) |  |
| static

Reads the curve from the stream. The curve is assumed to have been written with the Write method.

void BinTools_Curve2dSet::Write | ( | Standard_OStream & | OS | ) | const

Writes the content of me on the stream <OS> in a format that can be read back by Read.

static void BinTools_Curve2dSet::WriteCurve2d | ( | const Handle< Geom2d_Curve > & | C,
|  | Standard_OStream & | OS
| ) |  |
| static

Dumps the curve on the binary stream, that can be read back.

The documentation for this class was generated from the following file:

- BinTools_Curve2dSet.hxx